org.apache.lucene.queries.function.valuesource

## Class BytesRefFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.BytesRefFieldSource

    public class BytesRefFieldSource
    extends FieldCacheSource

An implementation for retrieving `FunctionValues` instances for string based fields.

### Field Summary

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`field`

### Constructor Summary

Constructors
Constructor and Description
`BytesRefFieldSource(String field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FunctionValues` `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`description, equals, getField, hashCode`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BytesRefFieldSource

    public BytesRefFieldSource(String field)

### Method Detail

#### getValues

    public FunctionValues getValues(Map context,
                                    LeafReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`